# Toilet Break

## Overview

A toilet break can be taken by either, or both teams, at any changeover between games including before the start of the first game.

## Packets

After a 'Game Won' packet has been received and one or both teams have requested a toilet break, the next packet that will be received will be a 'Toilet Break' packet, e.g for one team (Team A):

* Toilet Break JSON

```
{
  "timestamp": "2022-06-28T13:13:24.669Z",
  "eventElementType": "MatchStatusUpdate",
  "matchTime": "01:34:09",
  "seqNum": 438,
  "matchStatus": {
    "umpireCountry": "AUS",
    "umpire": "J. BLOM",
    "teamAPlayer1": "J. SOUSA",
    "tossChooser": "Serve",
    "matchState": {
      "team": "TeamA",
      "state": "ToiletBreak",
      "locationTimestamp": "2022-06-28T14:13:23"
    },
    "teamBPlayer1": "R. GASQUET",
    "numSets": 5,
    "scoringType": "LastSetTiebreak12",
    "firstServer": "TeamA",
    "tossWinner": "TeamB",
    "courtNum": 15,
    "teamAPlayersDetails": {
      "player1Id": "SH90",
      "player1Country": "POR"
    },
    "teamBPlayersDetails": {
      "player1Id": "G628",
      "player1Country": "FRA"
    },
    "umpireCode": "QNCAAA",
    "tieBreakType": "TieBreakInFinalSet"
  }
}
```

Once the team have finished their toilet break, the 'Toilet Break - Over' packet will be sent, e.g:

* Toilet Break - Over JSON

```
{
  "timestamp": "2022-06-28T13:18:46.182Z",
  "eventElementType": "MatchStatusUpdate",
  "matchTime": "01:39:31",
  "seqNum": 440,
  "matchStatus": {
    "umpireCountry": "AUS",
    "umpire": "J. BLOM",
    "teamAPlayer1": "J. SOUSA",
    "tossChooser": "Serve",
    "matchState": {
      "team": "TeamA",
      "state": "ToiletBreak",
      "toiletBreakEnded": "2022-06-28T14:18:45",
      "locationTimestamp": "2022-06-28T14:13:23"
    },
    "teamBPlayer1": "R. GASQUET",
    "numSets": 5,
    "scoringType": "LastSetTiebreak12",
    "firstServer": "TeamA",
    "tossWinner": "TeamB",
    "courtNum": 15,
    "teamAPlayersDetails": {
      "player1Id": "SH90",
      "player1Country": "POR"
    },
    "teamBPlayersDetails": {
      "player1Id": "G628",
      "player1Country": "FRA"
    },
    "umpireCode": "QNCAAA",
    "tieBreakType": "TieBreakInFinalSet"
  }
}
```

After this point, time will be called by the umpire and the match status will be updated to 'In Progress'. The match will resume as normal.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/tennis/live-data-scenarios-1/toilet-break.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
